[Rpm-maint] [rpm-software-management/rpm] add brp helper scripts from mandriva's spec-helper (#122)

Neal Gompa (ニール・ゴンパ) notifications at github.com
Sat Jan 21 16:00:47 UTC 2017


Conan-Kudo commented on this pull request.



> @@ -0,0 +1,49 @@
+#!/bin/sh
+
+# This script makes sure to remove any standard library search paths from rpath
+# or runpath tags as they're not only redundant, but will break overriding
+# search paths. Search paths of the tag that's not standard will be kept intact.
+
+# If using normal root, avoid changing anything.
+if [ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ]; then
+	exit 0
+fi
+
+# make sure we have chrpath in our search path, otherwise wuzz out
+type chrpath || exit 0

I'm not quite sure if this one is a good idea, as there are plenty of cases where RPATH/RUNPATH makes sense to preserve (such as when they are private/plugin libs in `/usr/lib64/<progdir>`).

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/rpm-software-management/rpm/pull/122
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.rpm.org/pipermail/rpm-maint/attachments/20170121/badf0be2/attachment-0001.html>


More information about the Rpm-maint mailing list